cruiser-gl error

100 views
Skip to first unread message

brad haack

unread,
Aug 26, 2019, 7:27:07 PM8/26/19
to Cruiser Users
I'm running on xubuntu 18.04.
cruiser.sh works, but I get this error when running cruiser-gl.sh

Inconsistency detected by ld.so: dl-lookup.c: 111: check_match: Assertion `version->filename == NULL || ! _dl_name_match_p (version->filename, map)' failed!

Emux

unread,
Aug 27, 2019, 1:59:32 AM8/27/19
to cruise...@googlegroups.com
Thanks for the report.

I have tested Cruiser GL on Ubuntu + flavours and other Linux without problems.

Is the graphics driver installed / updated, to allow OpenGL work properly?

Which Java version is installed in the system?

Does the app starts or the message appears when load a map file?

--
Emux

brad haack

unread,
Aug 27, 2019, 10:12:51 PM8/27/19
to Cruiser Users


On Monday, August 26, 2019 at 11:59:32 PM UTC-6, Emux wrote:
Thanks for the report.

I have tested Cruiser GL on Ubuntu + flavours and other Linux without problems.

Is the graphics driver installed / updated, to allow OpenGL work properly?
How do I tell?  what package should I look for?

Which Java version is installed in the system?
openjdk version "11.0.4" 2019-07-16
OpenJDK Runtime Environment (build 11.0.4+11-post-Ubuntu-1ubuntu218.04.3)
OpenJDK 64-Bit Server VM (build 11.0.4+11-post-Ubuntu-1ubuntu218.04.3, mixed mode, sharing)
 

Does the app starts or the message appears when load a map file?
The app doesn't start.  The error msg comes up right away.

--
Emux

Emux

unread,
Aug 28, 2019, 1:53:38 AM8/28/19
to cruise...@googlegroups.com
Cannot guess that, what graphics card does the pc have: Intel, AMD, Nvidia?

If the app cannot start at all, seems an OpenGL problem with the graphics card and its driver.

Also can suggest to try another Java, e.g. Java 8 to see if things can work better.

--
Emux

Brinki

unread,
Sep 4, 2019, 6:09:03 PM9/4/19
to Cruiser Users
On an elder OpenSuse system everything runs properly.

Just made a test with the latest Suse Tumbleweed but same old hardware - I
get the same error with all cruiser-gl versions from 1.5.1 to 1.7.0.

Seems to be a Java problem - dive into this link for a possible solution:
> Program crashes with the error “Inconsistency detected by ld.so: dl-lookup.c: 111”
> https://unix.stackexchange.com/questions/532054/program-crashes-with-the-error-inconsistency-detected-by-ld-so-dl-lookup-c-11/532129

I will test sometime soon - but at the moment other things need all my
attention.

--
Brinki

Emux

unread,
Sep 5, 2019, 1:50:17 AM9/5/19
to cruise...@googlegroups.com
Seems like latest Java has problems. Java 8 should work correctly.

When have more time I can look how new Java breaks in OpenGL.

--
Emux

Emux

unread,
Sep 18, 2019, 2:51:16 AM9/18/19
to cruise...@googlegroups.com
The problem seems related to OpenJDK > 8.

Eclipse, Minecraft and many other applications like Cruiser have the same problem.

If use OpenJDK 8 or try newer Oracle Java or other variant, the apps and Cruiser work correctly.

--
Emux
Reply all
Reply to author
Forward
0 new messages